[Debichem-devel] Avogadro 0.9.3 and python extension

Jordan Mantha laserjock at ubuntu.com
Mon May 4 21:35:42 UTC 2009

On Mon, May 4, 2009 at 12:35 PM, Daniel Leidert
<daniel.leidert.spam at gmx.net> wrote:
> Am Samstag, den 11.04.2009, 15:29 +0200 schrieb Michael Banck:
> [avogadro Python module]
>> I discussed this a bit with Jordan on IRC the other day, and we came up
>> with this sort-of plan:
>>  1. Short-term, just hardcode python2.5 and make it depend on this.
>>  2. Middle-term, use the respective python default version and make it
>>     binNMU-able for python transitions.
> I spent some time to this issue. The result can be found in the
> experimental tree of our SVN. It builds python-avogadro for the current
> version and should comply to the current Python policy.
> Please review and comment. In case you agree, I will merge it into the
> unstable tree.

When building I found a couple issues:
1) the .desktop file isn't installed
2) dh_python gives the following:
dh_python: Doing nothing since dh_pycompat exists; dh_pysupport or
dh_pycentral should do the work. You can remove dh_python fr
om your rules file.

so I guess we don't need to have both dh_pycompat and dh_python

I'll commit when I verify that 1) and 2) work.


More information about the Debichem-devel mailing list